base-unicode-symbols-0.2.2.4: Unicode alternatives for common functions and operators

Copyright | 2009–2011 Roel van Dijk
License | BSD3 (see the file LICENSE)
Maintainer | Roel van Dijk <vandijk.roel@gmail.com>
Safe Haskell | Safe
Language | Haskell98

Data.Foldable.Unicode

Description

Synopsis

- (∈) :: (Foldable t, Eq α) => α -> t α -> Bool
- (∋) :: (Foldable t, Eq α) => t α -> α -> Bool
- (∉) :: (Foldable t, Eq α) => α -> t α -> Bool
- (∌) :: (Foldable t, Eq α) => t α -> α -> Bool

# Documentation

(∈) :: (Foldable t, Eq α) => α -> t α -> Bool infix 4 #

(∈) = `elem`

U+2208, ELEMENT OF

(∋) :: (Foldable t, Eq α) => t α -> α -> Bool infix 4 #

(∋) = `flip` (∈)

U+220B, CONTAINS AS MEMBER

(∉) :: (Foldable t, Eq α) => α -> t α -> Bool infix 4 #

(∉) = `notElem`

U+2209, NOT AN ELEMENT OF

(∌) :: (Foldable t, Eq α) => t α -> α -> Bool infix 4 #

(∌) = `flip` (∉)

U+220C, DOES NOT CONTAIN AS MEMBER